Installation von pdadmin auf 64bit?

  • Hallo Herr Bradler,


    er meckert bei mir immer:


    /usr/local/pd-admin2/bin/mysql: error while loading shared libraries: libncurses.so.5: cannot open shared object file: No such file or directory
    Passworte konnten nicht gesetzt werden


    Das Problem hatte ich früher auch, wenn ich ncurses.i386 nicht installiert hatte, nur gibt es das Paket bei Centos 6 nicht mehr.

  • Hallo,


    ich hatte etwas langeweile :baby:


    nachdem ich glibc.i686 installiert hatte, erhielt ich folgende Meldung bei der Installation:


    hm… schon etwas komisch, dass ich das MySQL PW angeben muss… 8o
    nach ein yum provides libncurses.so.5

    Code
    1. [root@pdadmin pdadmin]# yum provides libncurses.so.5
    2. Loaded plugins: fastestmirror
    3. Loading mirror speeds from cached hostfile
    4. * base: mirror.atrpms.net
    5. * extras: mirror.atrpms.net
    6. * updates: mirror.atrpms.net
    7. ncurses-libs-5.7-3.20090208.el6.i686 : Ncurses libraries
    8. Repo : base
    9. Matched from:
    10. Other : libncurses.so.5


    und anschließenden "yum install ncurses-libs.i686" traten andere Probleme auf:


    also noch mal yum fragen…

    Code
    1. [root@pdadmin pdadmin]# yum provides libgcc_s.so.1
    2. Loaded plugins: fastestmirror
    3. Loading mirror speeds from cached hostfile
    4. * base: mirror.atrpms.net
    5. * extras: mirror.atrpms.net
    6. * updates: mirror.atrpms.net
    7. libgcc-4.4.6-3.el6.i686 : GCC version 4.4 shared support library
    8. Repo : base
    9. Matched from:
    10. Other : libgcc_s.so.1


    und ein "yum install libgcc.i686"
    es wäre ja zu schön gewesen, wenn die Installation diesmal geklappt hätte :rolleyes:


    diesmal wurde das MySQL root Passwort automatisch gesetzt…
    Das Fragen nach fehlenden Dateien kennen wir ja schon…

    Code
    1. [root@pdadmin pdadmin]# yum provides libz.so.1
    2. Loaded plugins: fastestmirror
    3. Loading mirror speeds from cached hostfile
    4. * base: ftp.halifax.rwth-aachen.de
    5. * extras: ftp.halifax.rwth-aachen.de
    6. * updates: ftp.halifax.rwth-aachen.de
    7. zlib-1.2.3-27.el6.i686 : The zlib compression and decompression library
    8. Repo : base
    9. Matched from:
    10. Other : libz.so.1


    Nachdem zlib.i686 installiert wurde, läuft die Installation durch :)


    Folgende Pakete müssen zusätzlich installiert werden:

    Code
    1. yum install zlib.i686 libgcc.i686 ncurses-libs.i686 glibc.i686


    mfg
    Twilo

  • Hallo Twilo,


    vielen Dank für Deine ausführlichen Erklärungen.
    Die Installation ist jetzt ohne Probleme durchgelaufen.
    Werde die VM jetzt mal löschen und dann das ganze noch einmal sauber installieren, da ich beim probieren so viel Mist installiert habe, dass ich das besser noch einmal sauber installiere.

  • Habe jetzt gerade mal neu die VM gemacht und dann Centos 6 minimal installiert und dann die Pakete nach Anleitung von Twilo installiert, dabei ist mir aufgefallen, dass noch die Pakete "groff.x86_64", da meckert er immer das nrof nicht im Pfad ist und "cronie.x86_64", da kommt der Fehler mit der Zeile 729, fehlen.
    Ansonsten hat jetzt alles bestens geklappt :).
    Dank noch einmal an Twilo für seine Mühe.

  • Hallo,


    wo meckert er bei dir rum, dass das Paket groff nicht installiert ist?


    Bei meiner CentOS minimal Installation ist groff installiert.

    Code
    1. [root@pdadmin pdadmin]# yum install groff
    2. Loaded plugins: fastestmirror, presto
    3. Loading mirror speeds from cached hostfile
    4. * base: centos.vieth-server.de
    5. * extras: centos.vieth-server.de
    6. * updates: centos.vieth-server.de
    7. Setting up Install Process
    8. Package groff-1.18.1.4-21.el6.x86_64 already installed and latest version
    9. Nothing to do


    mfg
    Twilo

  • Hallo,


    ich habe mir Centos minimal installiert und beim Aufruf von install-all.sh kam:


    #######################################################
    # #
    # Willkommen bei der Installation von pd-Admin 4.14 #
    # #
    #######################################################


    Build: 1820
    Installer: $Revision: 1.11 $
    Kann nroff nicht im Suchpfad finden.
    Bitte installieren Sie die erforderlichen Komponenten nach.

  • Hallo,


    du scheinst eine andere minimal install zu haben ;)
    ich bin wie folgt vorgegangen:
    - CentOS 6.2 mit CentOS-6.2-x86_64-minimal.iso installiert
    - yum update + reboot
    - yum install wget patch make gcc gcc-c++ glibc-devel libstdc++-devel zlib-devel zlib.i686 libgcc.i686 ncurses-libs.i686 glibc.i686 ImageMagick rrdtool


    mfg
    Twilo